/*
  Based on Arduino example sketches
  designed for ATMEGA 2560
  A0 - A4 are input from potentiometer
  Pins 9 and 10 are output for potentiometer
  Pins 11-13 are output for LEDs
*/

#include <Servo.h>

Servo myservo1;  // create servo object to control a servo
Servo myservo2;  // create servo object to control a servo



int potpin1 = A0;   // potentiometer for servo 1
int potpin2 = A1;   // potentiometer for servo 2
int potpin3 = A2;   // potentiometer for LED 1
int potpin4 = A3;   // potentiometer for LED 2
int potpin5 = A4;   // potentiometer for LED 3

int val1;    // analog value for pot 1
int val2;    // analog value for pot 2
int brightness1;    // value for LED 1
int brightness2;    // value for LED 2
int brightness3;    // value for LED 3


void setup() 
{
  myservo1.attach(9);  // attaches the servo on pin 9 to the servo object
  myservo2.attach(10);  // attaches the servo on pin 10 to the servo object
  pinMode(11, OUTPUT);
}

void loop() {
  
  val1 = analogRead(potpin1);            // reads the value of the potentiometer (value between 0 and 1023)
  val1 = map(val1, 0, 1023, 0, 180);     // scale it for use with the servo (value between 0 and 180)
  myservo1.write(val1);                  // sets the servo position according to the scaled value
  delay(15);                           // waits for the servo to get there
  
  val2 = analogRead(potpin2);            // reads the value of the potentiometer (value between 0 and 1023)
  val2 = map(val2, 0, 1023, 0, 180);     // scale it for use with the servo (value between 0 and 180)
  myservo2.write(val2);                  // sets the servo position according to the scaled value
  delay(15);                           // waits for the servo to get there
  
  brightness1 = analogRead(potpin3);  // set brightness for LED 1 (Red/white?)
  analogWrite(11,brightness1);
  delay(15);
  
   brightness2 = analogRead(potpin4); // set brightness for LED 2 (Green?)
  analogWrite(12,brightness2);
  delay(15);

 
   brightness3 = analogRead(potpin5); // set brightness for LED 3 (Blue?)
  analogWrite(13,brightness3);
  delay(15);
}
